'use strict';

const createBufferReader = require("../../buffer-reader");

module.exports = function parseBootRecord(data) {
    let bufferReader = createBufferReader(data);

    return {
        bootSystemIdentifier: bufferReader.strA(0, 32),
        bootIdentifier: bufferReader.strA(32, 32),
        bootData: data.slice(64, 2041) // FIXME: El Torito
    }
};
