'use strict';

const fs = require("fs");
const debug = require("debug")("seekable:fs");

module.exports = function getHttpSeekable(targetPath) {
    return {
        createReadStream: function createReadStream(start, end) {
            debug(`${start}-${end} -- ${targetPath}`);
            
            return fs.createReadStream(targetPath, {
                start: start,
                end: end
            });
        }
    }
};
